Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

ora-3116 after 8.1.7.4 patch install

Brian Bientz
Advisor

ora-3116 after 8.1.7.4 patch install

This may not be the best place to ask this question, but I have always gotten good responses from this forum. We just applied the 8.1.7.4 patchset along with a few one-off patches (We were at 8.1.7.2.1). After the patch install, I/Watch is now generating an ora-3116 error message every time it tries to execute a command. (I/Watch is a monitoring tool from Quest Software.) I was hoping that someone reading this forum is running I/Watch and maybe had a similar situation. Any advice would be great as I am getting the usual finger pointing ... Oracle said its a Quest problem and Quest saying its an Oracle problem!!

AAARRRGGGHHHHH!
7 REPLIES
Martin Johnson
Honored Contributor

Re: ora-3116 after 8.1.7.4 patch install

I would get oracle's opinion on what order to apply patches and which patches to apply. I've been told not to apply the "one-off" patches if applying 8.1.7.4.

HTH
Marty
Indira Aramandla
Honored Contributor

Re: ora-3116 after 8.1.7.4 patch install

Have you checked the alert log for the detailed error messages.
ORA-03166 looks like it is an internal error message not usually issued. Oracle always suggestes to contact their support for this error.

On the other hand this error ORA-3116 is a DB-LINK error and is a BUG IN 8.1.7.2.

[BUG:1322919] ORA-1410/ORA-3116 using "WHERE CURRENT OF cursor" over DBLINK.

Try to apply the patchset to fix this bug.
Never give up, Keep Trying
Steven E. Protter
Exalted Contributor

Re: ora-3116 after 8.1.7.4 patch install

Your upgrade path is valid if you followed the install document, every little nasty detail.

Can you bring the database up and down with sqlplus internal?

If yes, bring down the database, relink oracle, bring up the database and see if your problem goes away.

To run Oracle you need the December 2002 patch set for your HP-UX plus the patches in metalink doc 4305.1

Any patch rec's on oracle website for HP-UX should be checked for supersede on itrc.hp.com

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Volker Borowski
Honored Contributor

Re: ora-3116 after 8.1.7.4 patch install

Hi Brian,

Check out if your Quest stuff requires Oracle-Replication components. In this case it might be possible that you need to execute catrep.sql.

It is not a standard part of the usual patchprocedures, these usually apply to catalog.sql and catproc.sql.

A few steps later in the 8.1.7.4-patch-Readme is a note saying that if you use replication you need to execute catrep.sql as well.
Since not everybody uses it (not sure, but it might be a license issue as well) may be you need it and this beast has not been run after your patchset.
But you should re-check this with Quest if they need this!

Good hunting
Volker
Steven E. Protter
Exalted Contributor

Re: ora-3116 after 8.1.7.4 patch install

Here is the migration doc from 32 to 64 bits which includes the steps you need.

We are having some issues with the doc, but will post up a better one when we work that out with our good friends at Oracle Corporation.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Steven E. Protter
Exalted Contributor

Re: ora-3116 after 8.1.7.4 patch install

Here is the migration doc from 32 to 64 bits which includes the steps you need.

We are having some issues with the doc, but will post up a better one when we work that out with our good friends at Oracle Corporation.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Brian Bientz
Advisor

Re: ora-3116 after 8.1.7.4 patch install

This issue has been resolved. Turns out the version of I/Watch we were running did not run on 8.1.7.4 and we had to upgrade I/Watch was well with the latest version from Quest.